aboutsummaryrefslogtreecommitdiffstats
path: root/testing/reaver-wps-fork-t6x/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-11-14 10:32:30 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-11-14 10:32:30 +0000
commitdeab96c6016be38ab793c6ad0c4f8227d0984235 (patch)
tree889fbb3ad54ba4aa69b2fef8df913fdac6e242e0 /testing/reaver-wps-fork-t6x/APKBUILD
parente8603102422b6e0be62d51fabaeec2bc1acc19fc (diff)
downloadaports-deab96c6016be38ab793c6ad0c4f8227d0984235.tar.gz
aports-deab96c6016be38ab793c6ad0c4f8227d0984235.tar.bz2
aports-deab96c6016be38ab793c6ad0c4f8227d0984235.tar.xz
testing/reaver-wps-fork-t6x: new aport. Fixes #6459
Diffstat (limited to 'testing/reaver-wps-fork-t6x/APKBUILD')
-rw-r--r--testing/reaver-wps-fork-t6x/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/reaver-wps-fork-t6x/APKBUILD b/testing/reaver-wps-fork-t6x/APKBUILD
new file mode 100644
index 0000000000..2724eb3ccf
--- /dev/null
+++ b/testing/reaver-wps-fork-t6x/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=reaver-wps-fork-t6x
+pkgver=1.5.2
+pkgrel=0
+pkgdesc="Community forked version of reaver, the WPS password cracker"
+url="https://github.com/t6x/reaver-wps-fork-t6x"
+arch="all"
+license="GPL2"
+depends="pixiewps sqlite aircrack-ng"
+makedepends="libpcap-dev sqlite-dev linux-headers"
+install=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/t6x/$pkgname/archive/v$pkgver.tar.gz
+0100-Include-sys-types.h-for-definition-of-u_char.patch
+0200-makefile-path-fix.patch"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"/src
+ ./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --sysconfdir=/etc
+ make || return 1
+}
+
+package() {
+ cd "$builddir"/src
+ # this is due to buggy makefile
+ mkdir -p "$pkgdir"/usr/bin
+ make DESTDIR="$pkgdir" install
+ chmod 750 "$pkgdir"/etc/reaver
+}
+
+md5sums="1738f4e6c2e28eef62de767fb377992b reaver-wps-fork-t6x-1.5.2.tar.gz
+741168053e1f57a5abc5caf364a445ed 0100-Include-sys-types.h-for-definition-of-u_char.patch
+b094e7f5d48d28d2f740621ad34bd897 0200-makefile-path-fix.patch"
+sha256sums="b68d988ba7546949b74f3d89ebf9efbd745806906b717f3db7644ea4b12c63b6 reaver-wps-fork-t6x-1.5.2.tar.gz
+d150e817f734014b4bfc984c9a282b6813ae5253ac81b34c9d76620f13c09795 0100-Include-sys-types.h-for-definition-of-u_char.patch
+7f72aebf252da3ca7ee00554c86e0d3d8bcadfd47cdf71408a495eb1c42f01e6 0200-makefile-path-fix.patch"
+sha512sums="76c2b5b5f77c52a58ff8e8a3ef651ff52696f90ec9e0cdc2e49e009c59267bc16baec4127bf9b3fc1bab8a9d71d4ab8e1a0eb0328494d5f3aebc79538997629f reaver-wps-fork-t6x-1.5.2.tar.gz
+1545910bcfcb4c1b920615af70fc2384c9722407edd946789c6103d0c6813a0433d14e75a94acf3b153a4e8cad157ab4f2d440bb6e9763797bba7788a35cfb9d 0100-Include-sys-types.h-for-definition-of-u_char.patch
+eae3130b612bf11e52911ff1209a92607930a89ab322b560a3599430179cac1c8ac80b5c73d1e827d1d8d80f25c4f5b15bd864a331602e80fde97fd0732bf677 0200-makefile-path-fix.patch"